<div *ngIf="!closemsg" class="chaticoncontainer" (click)=" insertname()">
    <img class="chaticon" src="https://cdn-icons-png.flaticon.com/512/134/134914.png" alt="Chat Icon">

</div>

<body class="card text-center cardContainer" *ngIf="closemsg">

    <div class="card-header">
        แชท{{Name}}
        <div class="CloseIconmsg" (click)="closemsg=false">X</div>
    </div>

    <div class="card-body">
        <div id="context" class="context h-100">
            <p *ngFor="let MessageLists of MessageList" class="msglength p-2"
                [ngClass]="(Name===MessageLists.Name)? 'yousend' : 'mesend'">
                {{MessageLists.Msg}}
            </p>
        </div>
    </div>

    <form class="card-footer text-muted input-group" (ngSubmit)="texts1()">

        <input type="text" class="form-control" placeholder="พิมพ์ข้อความที่นี่" [(ngModel)]="Message"
            [ngModelOptions]="{standalone: true}">
        <div class="input-group-append" (click)="texts1()">
            <span class="input-group-text" id="basic-addon2">
                <img class="imgEnviar"
                    src="https://e7.pngegg.com/pngimages/891/367/png-clipart-computer-icons-symbol-send-email-button-miscellaneous-blue.png"
                    width="20px" height="25px" alt="send message">
            </span>
        </div>
    </form>
</body>